Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.security
Class DSAParams

    java.lang.Object
      opencard.opt.security.DSAParams

All Implemented Interfaces:
  java.security.interfaces.DSAParams

    public class DSAParams

extends java.lang.Object
implements java.security.interfaces.DSAParams

DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Version:
  $Id: DSAParams.java,v 1.1.1.1 1999/10/05 15:08:47 damke Exp $ For interface specification
Author:
  Peter Bendel (peter_bendel@de.ibm.com)
See Also:
  `DSAParams`

Constructor Summary
`DSAParams(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g)` constructor from BigIntegers

Method Summary
`java.math.BigInteger` | `getG()` Returns the base, g.
`java.math.BigInteger` | `getP()` Returns the prime, p.
`java.math.BigInteger` | `getQ()` Returns the subprime, q.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAParams

    public DSAParams(java.math.BigInteger p,
                     java.math.BigInteger q,
                     java.math.BigInteger g)

  constructor from BigIntegers

Method Detail

### getG

    public java.math.BigInteger getG()

  Returns the base, g.

  Specified by:
    `getG` in interface `java.security.interfaces.DSAParams`

### getP

    public java.math.BigInteger getP()

  Returns the prime, p.

  Specified by:
    `getP` in interface `java.security.interfaces.DSAParams`

### getQ

    public java.math.BigInteger getQ()

  Returns the subprime, q.

  Specified by:
    `getQ` in interface `java.security.interfaces.DSAParams`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD